#include "scene.h"
#include <GL/glu.h>
#include <stack>

using namespace std;


Scene::Scene()
	: cylindre(1, 1, 4, Color(.702, .424, .286)) {}


void Scene::draw(QOpenGLFunctions &f, QOpenGLShaderProgram *prog, int mat_uni,
				 float alpha, QMatrix4x4 &matrix, int pos, int col)
{
	// matrix.rotate(70, 1, 0, 0);
	// matrix.rotate(15, 0, 0, 1);
	prog->setUniformValue(mat_uni, matrix);
	cylindre.draw(f, pos, col);
}
